TICKIT_PEN_HAS_ATTR(3)

NAME
tickit_pen_has_attr - test if a pen has a given attribute

SYNOPSIS
    #include <tickit.h>

    bool tickit_pen_has_attr(TickitPen *pen, TickitPenAttr attr);
    bool tickit_pen_nondefault_attr(TickitPen *pen, TickitPenAttr attr);

Link with -ltickit.

DESCRIPTION
tickit_pen_has_attr() tests whether a pen instance has a given attribute defined on it. It returns true if the corresponding tickit_pen_set_*_attr() function has been called since construction, or the last time it was cleared. This is true even if the attribute has been set to its default value.

tickit_pen_nondefault_attr() tests whether a pen instance has a given attribute defined with a non-default value. It returns true if the attribute is set to a value that is not the default, or false if the attribute is absent, or set to the default value for that attribute type.

RETURN VALUE
tickit_pen_has_attr() and tickit_pen_nondefault_attr() return a boolean.

SEE ALSO
tickit_pen_new(3), tickit_pen_set_bool_attr(3), tickit_pen_set_int_attr(3), tickit_pen_set_colour_attr(3), tickit_pen_clear_attr(3), tickit_pen(7), tickit(7)